package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.SchCollectRecordDTO;
import com.docus.server.entity.scheduling.management.SchCollectRecord;
import com.docus.server.vo.scheduling.management.SchCollectRecordVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 采集记录表 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@Mapper
public interface SchCollectRecordConvert {

    SchCollectRecordConvert INSTANCE = Mappers.getMapper(SchCollectRecordConvert.class);

    @Mappings({})
    SchCollectRecord convertDO(SchCollectRecordDTO schCollectRecordDTO);

    @Mappings({})
    List<SchCollectRecord> convertDO(List<SchCollectRecordDTO> schCollectRecordDTOList);

    @Mappings({})
    SchCollectRecordVO convertVO(SchCollectRecord schCollectRecord);

    @Mappings({})
    List<SchCollectRecordVO> convertVO(List<SchCollectRecord> schCollectRecordList);

    @Mappings({})
    PageResult<SchCollectRecordVO> convertVO(PageResult<SchCollectRecord> pageResult);
}

